Page MenuHomePhabricator

[OpenMP] Fix doacross testing for gcc
ClosedPublic

Authored by jlpeyton on Jul 30 2018, 2:39 PM.

Details

Summary

This patch adds a test using the doacross clauses in OpenMP and removes gcc from testing kmp_doacross_check.c which is only testing the kmp rather than the gomp interface.

Diff Detail

Repository
rOMP OpenMP

Event Timeline

jlpeyton created this revision.Jul 30 2018, 2:39 PM

I'm not sure if this test works for all "supported" versions of compilers:

Please add corresponding XFAILs to the test so that the test suite doesn't regress for older compilers. IMO it would be good to support the last 3 major compiler releases of each compiler, maybe with the exception of GCC where we might want to make RHEL/CentOS' version 4.8.5 work. We should probably discuss this on the mailing list and document an official policy for that...

(Minor comment: Can you please clang-format the new test?)

Hahnfeld added inline comments.Jul 31 2018, 7:47 AM
runtime/test/worksharing/for/kmp_doacross_check.c
2

Could you add a comment explaining why this test is disabled for GCC? (As discussed in D49857, that's the only reasonable thing to do...)

jlpeyton updated this revision to Diff 158627.Aug 1 2018, 1:56 PM

Added comment, clang-formatted test, added comp-major.minor to features in lit so i could xfail clang-3.8 and 3.7 and added other proper compiler versions for xfail of the new doacross test.

Hahnfeld accepted this revision.Aug 2 2018, 7:32 AM

LGTM, we should have this backported before the first release candidate for 7.0

This revision is now accepted and ready to land.Aug 2 2018, 7:32 AM
This revision was automatically updated to reflect the committed changes.